## pimcommon 25.04.3

=== src/pimcommon/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/pimcommon_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/PimCommon/ COMPONENT Devel
)

ecm_setup_version(PROJECT VARIABLE_PREFIX PIMCOMMON
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/pimcommon_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6PimCommonConfigVersion.cmake"
    SOVERSION 6
)


macro(add_resource_iface _kcfgFile _ifaceName _className)
    kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/${_kcfgFile} ${_ifaceName})
    qt_add_dbus_interface(libpimcommon_SRCS
        ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_fileName} ${_className}
)
endmacro()

add_resource_iface(util/imapresource.kcfg org.kde.Akonadi.Imap.Settings imapresourcesettings)

add_library(KPim6PimCommon)
add_library(KPim6::PimCommon ALIAS KPim6PimCommon)
ecm_qt_declare_logging_category(KPim6PimCommon HEADER pimcommon_debug.h IDENTIFIER PIMCOMMON_LOG CATEGORY_NAME org.kde.pim.pimcommon
        DESCRIPTION "kdepim (pimcommon)"
        OLD_CATEGORY_NAMES log_pimcommon
        EXPORT PIMCOMMON
)

target_sources(KPim6PimCommon PRIVATE
    ${libpimcommon_SRCS}
    genericplugins/pluginutil.cpp
    genericplugins/genericpluginmanager.cpp
    genericplugins/genericplugin.cpp
    genericplugins/abstractgenericplugin.cpp
    genericplugins/abstractgenericplugininterface.cpp
    configureplugins/configurepluginslistwidget.cpp
    configureplugins/configurepluginswidget.cpp
    configureplugins/configureplugindialog.cpp

    templatewidgets/templatelistwidget.cpp
    templatewidgets/templateeditdialog.cpp
    templatewidgets/templatemanager.cpp
    widgets/renamefiledialog.cpp
    widgets/simplestringlisteditor.cpp
    widgets/customtreeview.cpp
    widgets/configureimmutablewidgetutils.cpp
    widgets/kactionmenuchangecase.cpp
    widgets/spellchecklineedit.cpp
    widgets/lineeditwithcompleterng.cpp
    widgets/customlogwidget.cpp
    customtools/customtoolsplugin.cpp
    customtools/customtoolspluginmanager.cpp
    customtools/customtoolswidgetng.cpp
    customtools/customtoolsviewinterface.cpp
    util/pimutil.cpp
    util/broadcaststatus.cpp

    shareserviceurl/shareserviceurlmanager.cpp
    network/networkmanager.cpp
    widgets/icons.qrc

    customtools/customtoolswidgetng.h
    customtools/customtoolsplugin.h
    customtools/customtoolspluginmanager.h
    customtools/customtoolsviewinterface.h
    configureplugins/configureplugindialog.h
    configureplugins/configurepluginswidget.h
    configureplugins/configurepluginslistwidget.h

    configureplugins/configurepluginstreewidgetdelegate.h
    configureplugins/configurepluginstreewidgetdelegate.cpp

    shareserviceurl/shareserviceurlmanager.h
    pimcommon_private_export.h
    network/networkmanager.h
    widgets/renamefiledialog.h
    widgets/spellchecklineedit.h
    widgets/customtreeview.h
    widgets/lineeditwithcompleterng.h
    widgets/simplestringlisteditor.h
    widgets/customlogwidget.h
    widgets/configureimmutablewidgetutils.h
    widgets/kactionmenuchangecase.h
    templatewidgets/templatemanager.h
    templatewidgets/templatelistwidget.h
    templatewidgets/templateeditdialog.h
    util/broadcaststatus.h
    util/pimutil.h
    genericplugins/genericplugin.h
    genericplugins/genericpluginmanager.h
    genericplugins/pluginutil.h
    genericplugins/abstractgenericplugininterface.h
    genericplugins/abstractgenericplugin.h

    autocorrection/widgets/lineeditwithautocorrection.h
    autocorrection/widgets/lineeditwithautocorrection.cpp

    widgets/purposemenumessagewidget.h
    widgets/purposemenumessagewidget.cpp


    needupdateversion/needupdateversionwidget.h
    needupdateversion/needupdateversionwidget.cpp

    needupdateversion/needupdateversionutils.h
    needupdateversion/needupdateversionutils.cpp

    needupdateversion/needupdatecheckexistingnewversionjob.cpp
    needupdateversion/needupdatecheckexistingnewversionjob.h
    needupdateversion/needupdateparsehtmljob.cpp
    needupdateversion/needupdateparsehtmljob.h
    needupdateversion/needupdateparsehtmlutil.cpp
    needupdateversion/needupdateparsehtmlutil.h


    widgets/purposemenuwidget.h
    widgets/purposemenuwidget.cpp

    whatsnew/whatsnewdialog.h
    whatsnew/whatsnewdialog.cpp
    whatsnew/whatsnewwidget.h
    whatsnew/whatsnewwidget.cpp

    whatsnew/whatsnewmessagewidget.h
    whatsnew/whatsnewmessagewidget.cpp

    whatsnew/whatsnewcomboboxwidget.h
    whatsnew/whatsnewcomboboxwidget.cpp

    whatsnew/whatsnewtranslationsbase.h
    whatsnew/whatsnewtranslationsbase.cpp
    whatsnew/whatsnewinfo.h
    whatsnew/whatsnewinfo.cpp
    
    verifynewversion/verifynewversionutils.cpp
    verifynewversion/verifynewversionutils.h
    verifynewversion/verifynewversionwidget.cpp
    verifynewversion/verifynewversionwidget.h
    verifynewversion/checknewversiondialog.cpp
    verifynewversion/checknewversiondialog.h
    verifynewversion/checknewversionwidget.cpp
    verifynewversion/checknewversionwidget.h

)

if(ENABLE_WARN_OUTDATED)
    target_compile_definitions(KPim6PimCommon PRIVATE ENABLE_WARN_OUTDATED=1)
else()
    target_compile_definitions(KPim6PimCommon PRIVATE ENABLE_WARN_OUTDATED=0)
endif()

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6PimCommon PROPERTIES UNITY_BUILD ON)
endif()
ecm_generate_export_header(KPim6PimCommon
    BASE_NAME pimcommon
    VERSION ${PIMCOMMON_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)


target_link_libraries(KPim6PimCommon
    PUBLIC
    Qt::Gui
    Qt::Widgets
    Qt::DBus
    KF6::KIOCore
    KF6::WidgetsAddons
    KF6::TextCustomEditor
    PRIVATE
    Qt::Network
    KF6::I18n
    KF6::XmlGui
    KF6::KIOWidgets
    KF6::ItemViews
    KF6::NewStuffCore
    KF6::NewStuffWidgets
    KF6::Purpose
    KF6::PurposeWidgets
    KF6::Codecs
)
if(TARGET KF6::TextAutoCorrectionWidgets)
    target_link_libraries(KPim6PimCommon
        PUBLIC
        KF6::TextAutoCorrectionWidgets
)
else()
    target_link_libraries(KPim6PimCommon
        PUBLIC
        KF6::TextAutoCorrection
)
endif()

target_include_directories(KPim6PimCommon INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/PimCommon/>")

target_include_directories(KPim6PimCommon PUBLIC "$<BUILD_INTERFACE:${pimcommon_SOURCE_DIR}/src;${pimcommon_BINARY_DIR}/src>")

set_target_properties(KPim6PimCommon PROPERTIES
    VERSION ${PIMCOMMON_VERSION}
    SOVERSION ${PIMCOMMON_SOVERSION}
    EXPORT_NAME PimCommon
)

install(TARGETS
    KPim6PimCommon
    EXPORT KPim6PimCommonTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

if(BUILD_TESTING)
    add_subdirectory(widgets/autotests)
    add_subdirectory(shareserviceurl/autotests)
    add_subdirectory(widgets/tests)
    add_subdirectory(customtools/autotests)
    add_subdirectory(autotests)
    add_subdirectory(configureplugins/autotests)
    add_subdirectory(genericplugins/autotests)
    add_subdirectory(autocorrection/autotests)
    add_subdirectory(autocorrection/tests)
    add_subdirectory(needupdateversion/tests)
    add_subdirectory(needupdateversion/autotests)
    add_subdirectory(whatsnew/autotests)
endif()

ecm_generate_headers(PimCommon_CamelCasegenericplugins_HEADERS
    HEADER_NAMES
    PluginUtil
    GenericPluginManager
    GenericPlugin
    AbstractGenericPlugin
    AbstractGenericPluginInterface
    REQUIRED_HEADERS PimCommon_genericplugins_HEADERS
    PREFIX PimCommon
    RELATIVE genericplugins
)

ecm_generate_headers(PimCommon_Camelcaseautocorrectionwidgets_HEADERS
    HEADER_NAMES
    LineEditWithAutoCorrection
    REQUIRED_HEADERS PimCommon_autocorrectionwidgets_HEADERS
    PREFIX PimCommon
    RELATIVE autocorrection/widgets/
)

ecm_generate_headers(PimCommon_Camelcaseneedupdateversionwidgets_HEADERS
    HEADER_NAMES
    NeedUpdateVersionUtils
    NeedUpdateVersionWidget
    NeedUpdateParseHtmlJob
    NeedUpdateCheckExistingNewVersionJob
    NeedUpdateParseHtmlUtil
    REQUIRED_HEADERS PimCommon_needupdateversionwidgets_HEADERS
    PREFIX PimCommon
    RELATIVE needupdateversion
)

ecm_generate_headers(PimCommon_Camelverifynewversion_HEADERS
    HEADER_NAMES
    VerifyNewVersionWidget
    REQUIRED_HEADERS PimCommon_verifynewversion_HEADERS
    PREFIX PimCommon
    RELATIVE verifynewversion
)

ecm_generate_headers(PimCommon_CamelCasenetworkmanager_HEADERS
    HEADER_NAMES
    NetworkManager
    REQUIRED_HEADERS PimCommon_networkmanager_HEADERS
    PREFIX PimCommon
    RELATIVE network
)

ecm_generate_headers(PimCommon_CamelCase_HEADERS
    HEADER_NAMES
    PimUtil
    BroadcastStatus
    REQUIRED_HEADERS PimCommon_HEADERS
    PREFIX PimCommon
    RELATIVE util
)

ecm_generate_headers(PimCommon_Camelcaseshareserviceurl_HEADERS
    HEADER_NAMES
    ShareServiceUrlManager
    REQUIRED_HEADERS PimCommon_shareserviceurl_HEADERS
    PREFIX PimCommon
    RELATIVE shareserviceurl
)

ecm_generate_headers(PimCommon_Camelcasecustomtools_HEADERS
    HEADER_NAMES
    CustomToolsWidgetng
    CustomToolsPlugin
    CustomToolsViewInterface
    CustomToolsPluginManager
    REQUIRED_HEADERS PimCommon_customtools_HEADERS
    PREFIX PimCommon
    RELATIVE customtools
)

ecm_generate_headers(PimCommon_Camelcasetemplatelist_HEADERS
    HEADER_NAMES
    TemplateListWidget
    TemplateManager
    REQUIRED_HEADERS PimCommon_templatelist_HEADERS
    PREFIX PimCommon
    RELATIVE templatewidgets
)


ecm_generate_headers(PimCommon_Camelcasewidgets_HEADERS
    HEADER_NAMES
    CustomTreeView
    SpellCheckLineEdit
    ConfigureImmutableWidgetUtils
    RenameFileDialog
    SimpleStringListEditor
    KActionMenuChangeCase
    LineEditWithCompleterNg
    CustomLogWidget
    PurposeMenuWidget
    PurposeMenuMessageWidget
    REQUIRED_HEADERS PimCommon_widgets_HEADERS
    PREFIX PimCommon
    RELATIVE widgets
)

ecm_generate_headers(PimCommon_Camelcaseconfigureplugins_HEADERS
    HEADER_NAMES
    ConfigurePluginsListWidget
    ConfigurePluginsWidget
    ConfigurePluginDialog
    ConfigurePluginsTreeWidgetDelegate
    REQUIRED_HEADERS PimCommon_configureplugins_HEADERS
    PREFIX PimCommon
    RELATIVE configureplugins
)


ecm_generate_headers(PimCommon_Camelcasewhatsnew_HEADERS
    HEADER_NAMES
    WhatsNewComboBoxWidget
    WhatsNewDialog
    WhatsNewInfo
    WhatsNewTranslationsBase
    WhatsNewMessageWidget
    REQUIRED_HEADERS PimCommon_whatsnew_HEADERS
    PREFIX PimCommon
    RELATIVE whatsnew
)

install(FILES
    ${PimCommon_Camelcaseconfigureplugins_HEADERS}
    ${PimCommon_CamelCasegenericplugins_HEADERS}
    ${PimCommon_Camelcaseautocorrectionwidgets_HEADERS}
    ${PimCommon_CamelCasenetworkmanager_HEADERS}
    ${PimCommon_Camelcaseneedupdateversionwidgets_HEADERS}
    ${PimCommon_Camelverifynewversion_HEADERS}
    ${PimCommon_CamelCase_HEADERS}
    ${PimCommon_CamelCasejob_HEADERS}
    ${PimCommon_Camelcasecustomtools_HEADERS}
    ${PimCommon_Camelcasemanagerserversidesubscription_HEADERS}
    ${PimCommon_Camelcasemigrate_HEADERS}
    ${PimCommon_Camelcaseplaintexteditor_HEADERS}
    ${PimCommon_Camelcaserichtexteditor_HEADERS}
    ${PimCommon_Camelcasescript_HEADERS}
    ${PimCommon_Camelcaseshareserviceurl_HEADERS}
    ${PimCommon_Camelcasetemplatelist_HEADERS}
    ${PimCommon_Camelcasetexteditor_commonwidget_HEADERS}
    ${PimCommon_Camelcasewidgets_HEADERS}
    ${PimCommon_Camelcasewhatsnew_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/PimCommon/PimCommon
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/imapresourcesettings.h
    ${CMAKE_CURRENT_BINARY_DIR}/pimcommon_export.h
    ${PimCommon_HEADERS}
    ${PimCommon_autocorrectionwidgets_HEADERS}
    ${PimCommon_genericplugins_HEADERS}
    ${PimCommon_configureplugins_HEADERS}
    ${PimCommon_networkmanager_HEADERS}
    ${PimCommon_needupdateversionwidgets_HEADERS}
    ${PimCommon_customtools_HEADERS}
    ${PimCommon_job_HEADERS}
    ${PimCommon_managerserversidesubscription_HEADERS}
    ${PimCommon_plaintexteditor_HEADERS}

=== src/pimcommon/customtools/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
ecm_add_test(customtoolswidgetngtest.cpp customtoolswidgetngtest.h
    TEST_NAME customtoolswidgetngtest
    NAME_PREFIX pimcommon-
    LINK_LIBRARIES Qt::Test Qt::Gui KPim6::PimCommon KF6::XmlGui
)

=== src/pimcommon/genericplugins/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
ecm_add_test(genericpluginmanagertest.cpp genericpluginmanagertest.h
    TEST_NAME genericpluginmanagertest
    NAME_PREFIX "pimcommon-genericplugins-"
    LINK_LIBRARIES Qt::Test KPim6::PimCommon
)


ecm_add_test(actiontypetest.cpp actiontypetest.h
    TEST_NAME actiontypetest
    NAME_PREFIX "pimcommon-genericplugins-"
    LINK_LIBRARIES Qt::Test KPim6::PimCommon
)

ecm_add_test(pluginutiltest.cpp pluginutiltest.h
    TEST_NAME pluginutiltest
    NAME_PREFIX "pimcommon-genericplugins-"
    LINK_LIBRARIES Qt::Test KPim6::PimCommon
)

=== src/pimcommon/needupdateversion/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_definitions(-DPIMCOMMON_DATA_NEEDUPDATEDIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

macro(add_pimcommon_needupdateversion_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "pimcommon-needupdateversion-"
        LINK_LIBRARIES Qt::Test Qt::Gui KPim6::PimCommon
)
endmacro()

add_pimcommon_needupdateversion_unittest(needupdateversionwidgettest.cpp)
add_pimcommon_needupdateversion_unittest(needupdateversionutilstest.cpp)
add_pimcommon_needupdateversion_unittest(needupdateparsehtmljobtest.cpp)
add_pimcommon_needupdateversion_unittest(needupdateparsehtmlutiltest.cpp)
add_pimcommon_needupdateversion_unittest(needupdatecheckexistingnewversionjobtest.cpp)

=== src/pimcommonakonadi/addressline/blacklistakonadisearchcompletion/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_libkdepim_blacklistbaloocompletion_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "pimcommon-addessline-blaclistbaloocompletion-"
        LINK_LIBRARIES Qt::Test KPim6::PimCommonAkonadi KF6::Completion KF6::I18n KF6::ConfigCore KF6::ItemViews KF6::Codecs
)
endmacro()

add_libkdepim_blacklistbaloocompletion_unittest(blacklistbalooemailcompletionwidgettest.cpp)
add_libkdepim_blacklistbaloocompletion_unittest(blacklistbalooemaillisttest.cpp)
add_libkdepim_blacklistbaloocompletion_unittest(blacklistbalooemailsearchjobtest.cpp)
add_libkdepim_blacklistbaloocompletion_unittest(blacklistbalooemailutiltest.cpp)
add_libkdepim_blacklistbaloocompletion_unittest(blacklistbalooemailwarningtest.cpp)

## pimcommon 25.07.80

=== debian/changelog ===
pimcommon (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:46:06 +0100

pimcommon (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:58:01 +0100

pimcommon (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:03:48 +0100

pimcommon (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:19:50 +0100

pimcommon (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:06:02 +0100

=== debian/control ===
Source: pimcommon
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.07.80~),
               libakonadicontact-dev (>= 4:25.07.80~),
               libakonadisearch-dev (>= 4:25.07.80~),
               libkdepim-dev (>= 4:25.07.80~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6jobwidgets-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6newstuff-dev (>= 6.6.0~),
               libkf6purpose-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkimap-dev (>= 25.07.80~),
               libkldap-dev (>= 25.07.80~),
               libktextaddons-dev (>= 1.5.4~),
               libplasmaactivities-dev (>= 6.1.0~),
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xsltproc,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/pimcommon
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
Rules-Requires-Root: no

Package: libpimcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Common library for KDE PIM - data files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the data files used by the library.

Package: libpimcommon-dev
Section: libdevel
Architecture: any
Depends: libakonadi-dev (>= 4:25.07.80~),
         libakonadicontact-dev (>= 4:25.07.80~),
         libkdepim-dev (>= 4:25.07.80~),
         libkf6config-dev (>= 6.6.0~),
         libkf6contacts-dev (>= 6.6.0~),
         libkf6kio-dev (>= 6.6.0~),
         libkimap-dev (>= 25.07.80~),
         libkpim6pimcommon6 (= ${binary:Version}),
         libkpim6pimcommonactivities6 (= ${binary:Version}),
         libkpim6pimcommonakonadi6 (= ${binary:Version}),
         libktextaddons-dev (>= 1.5.4~),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.

Package: libkpim6pimcommon6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.

Package: libkpim6pimcommonactivities6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for Plasma Activities in KDE PIM
 This library provides the common parts used for Plasma Activities.
 .
 This package provides the shared libraries.

Package: libkpim6pimcommonakonadi6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM Akonadi
 This library provides the common parts used across different KDE PIM Akonadi
 components.
 .
 This package provides the shared libraries.

## pimcommon 25.07.90

=== src/pimcommonakonadi/addressline/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_pimcommonakonadi_addressline_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "pimcommon-addressline-"
        LINK_LIBRARIES Qt::Test
        KF6::Contacts
        Qt::Widgets
        KPim6::PimCommonAkonadi
        Qt::DBus
        KF6::Codecs
        KF6::ConfigCore
        KF6::Completion
        KF6::I18n
    )
endmacro()

add_pimcommonakonadi_addressline_unittest(recentaddresswidgettest.cpp)
add_pimcommonakonadi_addressline_unittest(addresseelineeditutiltest.cpp)
add_pimcommonakonadi_addressline_unittest(baloocompletionemailtest.cpp)
add_pimcommonakonadi_addressline_unittest(completionconfiguredialogtest.cpp)
add_pimcommonakonadi_addressline_unittest(completionorderwidgettest.cpp)
add_pimcommonakonadi_addressline_unittest(addresseelineeditbalootest.cpp)

=== debian/changelog ===
pimcommon (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:03:28 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.07.80~),
-               libakonadicontact-dev (>= 4:25.07.80~),
-               libakonadisearch-dev (>= 4:25.07.80~),
-               libkdepim-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
+               libakonadicontact-dev (>= 4:25.07.90~),
+               libakonadisearch-dev (>= 4:25.07.90~),
+               libkdepim-dev (>= 4:25.07.90~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -27,8 +27,8 @@
                libkf6service-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 25.07.80~),
-               libkldap-dev (>= 25.07.80~),
+               libkimap-dev (>= 25.07.90~),
+               libkldap-dev (>= 25.07.90~),
                libktextaddons-dev (>= 1.5.4~),
                libplasmaactivities-dev (>= 6.1.0~),
                qt6-base-dev (>= 6.7.0~),
@@ -54,13 +54,13 @@
 Package: libpimcommon-dev
 Section: libdevel
 Architecture: any
-Depends: libakonadi-dev (>= 4:25.07.80~),
-         libakonadicontact-dev (>= 4:25.07.80~),
-         libkdepim-dev (>= 4:25.07.80~),
+Depends: libakonadi-dev (>= 4:25.07.90~),
+         libakonadicontact-dev (>= 4:25.07.90~),
+         libkdepim-dev (>= 4:25.07.90~),
          libkf6config-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6kio-dev (>= 6.6.0~),
-         libkimap-dev (>= 25.07.80~),
+         libkimap-dev (>= 25.07.90~),
          libkpim6pimcommon6 (= ${binary:Version}),
          libkpim6pimcommonactivities6 (= ${binary:Version}),
          libkpim6pimcommonakonadi6 (= ${binary:Version}),

## pimcommon 25.08.0

=== debian/changelog ===
pimcommon (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:01:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.07.90~),
-               libakonadicontact-dev (>= 4:25.07.90~),
-               libakonadisearch-dev (>= 4:25.07.90~),
-               libkdepim-dev (>= 4:25.07.90~),
+               libakonadi-dev (>= 4:25.08.0~),
+               libakonadicontact-dev (>= 4:25.08.0~),
+               libakonadisearch-dev (>= 4:25.08.0~),
+               libkdepim-dev (>= 4:25.08.0~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -27,8 +27,8 @@
                libkf6service-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 25.07.90~),
-               libkldap-dev (>= 25.07.90~),
+               libkimap-dev (>= 25.08.0~),
+               libkldap-dev (>= 25.08.0~),
                libktextaddons-dev (>= 1.5.4~),
                libplasmaactivities-dev (>= 6.1.0~),
                qt6-base-dev (>= 6.7.0~),
@@ -54,13 +54,13 @@
 Package: libpimcommon-dev
 Section: libdevel
 Architecture: any
-Depends: libakonadi-dev (>= 4:25.07.90~),
-         libakonadicontact-dev (>= 4:25.07.90~),
-         libkdepim-dev (>= 4:25.07.90~),
+Depends: libakonadi-dev (>= 4:25.08.0~),
+         libakonadicontact-dev (>= 4:25.08.0~),
+         libkdepim-dev (>= 4:25.08.0~),
          libkf6config-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6kio-dev (>= 6.6.0~),
-         libkimap-dev (>= 25.07.90~),
+         libkimap-dev (>= 25.08.0~),
          libkpim6pimcommon6 (= ${binary:Version}),
          libkpim6pimcommonactivities6 (= ${binary:Version}),
          libkpim6pimcommonakonadi6 (= ${binary:Version}),
